/**************************************************************************/
/* GF70 ( JSPチェック結果テーブル )                                       */
/*                                                                        */
/* Created : 2012/03/02 18:46:49                                          */
/**************************************************************************/
CREATE TABLE GF70 (
   SYSTEM_ID VARCHAR(10)                 NOT NULL      /* 10  システムID   */
 , PRE_FIX   VARCHAR(10)                 NOT NULL      /* 20  名前空間     */
 , ADDRESS   VARCHAR(256)                              /* 30  アドレス     */
 , FILENAME  VARCHAR(60)                               /* 40  ファイル名   */
 , FILEPATH  VARCHAR(256)                              /* 50  ファイルパス */
 , MODIFIED  VARCHAR(14)                               /* 60  最終更新日   */
 , TAGNAME   VARCHAR(30)                               /* 70  タグ名称     */
 , MSGCD     VARCHAR(20)                               /* 80  メッセージID */
 , MSGTXT    VARCHAR(500)                              /* 90  内容         */
 , TEXT_DATA BLOB                                      /* 100 テキスト     */
 , FGOMIT    VARCHAR(1)      DEFAULT '0' NOT NULL      /* 110 除外フラグ   */
 , UNIQ      BIGINT                      NOT NULL      /* 120 ユニークキー */
 , FGJ       VARCHAR(1)      DEFAULT '1' NOT NULL      /* 130 状態フラグ   */
 , DYSET     VARCHAR(14)                               /* 140 登録日時     */
 , PGSET     VARCHAR(10)                               /* 150 作成PG       */
 , PGPSET    VARCHAR(10)                               /* 160 作成親PG     */
 , USRSET    VARCHAR(10)                               /* 170 作成社員     */
 , DYUPD     VARCHAR(14)                               /* 180 更新日時     */
 , PGUPD     VARCHAR(10)                               /* 190 更新PG       */
 , PGPUPD    VARCHAR(10)                               /* 200 更新親PG     */
 , USRUPD    VARCHAR(10)                               /* 210 更新者       */
);

CREATE SEQUENCE GF70S00 ;


CREATE TRIGGER GF70T00 FOR GF70
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF70S00,1 );
  END; 


